Subject: Re: Vlan interface nuisance

From: Ben Greear <[email-masked]>
Date: Mon, 02 Mar 2009 22:53:40 -0800

Jarek Poplawski wrote:
> Yes, very interesting arguments for another disussion... But if we're
> talking about naming than you seem to ignore what Lennart, Ben, Denys
> and probably Stephen said about their preferred way, and I think it
> matters, because if they had problems with understanding this change
> I can only imagine what "common users" would say without knowing all
> this technical rationale (which IMHO is disputable too - names  are
> for people).
>   
I like my own naming scheme, and I use it by specifying the name when
creating the vlan using 'ip'.  It would have been nice (IMO) to have the
dev.vid naming be default from the beginning, but since it wasn't, it would
cause more harm than good to change it now.

So, I'm NOT arguing for changing the behaviour, though anything that can
document the features of 'ip' better and make it more obvious you can set
the name upon creation should help people...

Ben

> Jarek P.
> --
> To unsubscribe from this list: send the line "unsubscribe netdev" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html
>   

-- 
Ben Greear <[email-masked]> 
Candela Technologies Inc  http://www.candelatech.com